Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Interface AbstractFileSystem.Transfer

All Superinterfaces:
  Serializable

Enclosing class:
  AbstractFileSystem

    public static interface AbstractFileSystem.Transfer

extends Serializable

Controls on moving of files. This is additional interface to allow filesystem that require special handling of move to implement it in different way then is the default one.

Field Summary
`static long` | `serialVersionUID` Deprecated. Only public by accident.

Method Summary
`boolean` | `copy(String name, AbstractFileSystem.Transfer target, String targetName)` Copy a file.
`boolean` | `move(String name, AbstractFileSystem.Transfer target, String targetName)` Move a file.

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Deprecated. Only public by accident.
  See Also:
    Constant Field Values

Method Detail

### move

    boolean move(String name,
                 AbstractFileSystem.Transfer target,
                 String targetName)
                 throws IOException

  Move a file.

  Parameters:
    `name` - of the file on current filesystem
    `target` - move implementation
    `targetName` - of target file
  Returns:
    false if the method is not able to handle the request and default implementation should be used instead
  Throws:
    `IOException` - if the move fails

### copy

    boolean copy(String name,
                 AbstractFileSystem.Transfer target,
                 String targetName)
                 throws IOException

  Copy a file.

  Parameters:
    `name` - of the file on current filesystem
    `target` - target transfer implementation
    `targetName` - name of target file
  Returns:
    false if the method is not able to handle the request and default implementation should be used instead
  Throws:
    `IOException` - if the copy fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.